Package it.ernytech.tdlib

## Class TdApi.MaskPosition

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MaskPosition

Enclosing class:
  TdApi

    public static class TdApi.MaskPosition
    extends TdApi.Object

Position on a photo where a mask should be placed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`TdApi.MaskPoint` `point` Part of the face, relative to which the mask should be placed.
`double` `scale` Mask scaling coefficient.
`double` `xShift` Shift by X-axis measured in widths of the mask scaled to the face size, from left to right.
`double` `yShift` Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom.

### Constructor Summary

Constructors
`MaskPosition()` Default constructor.
`MaskPosition​(TdApi.MaskPoint point, double xShift, double yShift, double scale)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### point

    public TdApi.MaskPoint point

Part of the face, relative to which the mask should be placed.

#### xShift

    public double xShift

Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)

#### yShift

    public double yShift

Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)

#### scale

    public double scale

Mask scaling coefficient. (For example, 2.0 means a doubled size.)

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MaskPosition

    public MaskPosition()

Default constructor.

#### MaskPosition

    public MaskPosition​(TdApi.MaskPoint point,
                        double xShift,
                        double yShift,
                        double scale)

Constructor for initialization of all fields.

Parameters:
  `point` - Part of the face, relative to which the mask should be placed.
  `xShift` - Shift by X-axis measured in widths of the mask scaled to the face size, from left to right. (For example, -1.0 will place the mask just to the left of the default mask position.)
  `yShift` - Shift by Y-axis measured in heights of the mask scaled to the face size, from top to bottom. (For example, 1.0 will place the mask just below the default mask position.)
  `scale` - Mask scaling coefficient. (For example, 2.0 means a doubled size.)

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR